PHP K�sikirja
Edellinen |  | Seuraava

# DOMDocument->createEntityReference()

DOMDocument->createEntityReference() -- Create new entity reference node

## Description

class DOMDocument {
DOMEntityReference createEntityReference ( string name )
}

This function creates a new instance of class DOMEntityReference. This node will not show up in the document unless it is inserted with e.g. DOMNode->appendChild().

## Parameters

name

  The content of the entity reference.

## Return values

The new DOMEntityReference or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if name contains an invalid character.

## See Also

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElement()
DOMDocument->createElementNS()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

Edellinen | Alkuun | Seuraava
DOMDocument->createElementNS() | Ylös | DOMDocument->createProcessingInstruction()